Subject: bug#14392: 24.3.50; VHDL mode rebinds DEL and M-DEL

From: Glenn Morris <[email-masked]>
Date: Fri, 17 May 2013 20:26:40 -0400

Dima Kogan wrote:

> VHDL mode sets up many of its own key bindings. Two of these bindings
> aren't really VHDL specific, but rather represent user preferences:
>
>     (define-key vhdl-mode-map [delete]	     'delete-char)
>     (define-key vhdl-mode-map [(meta delete)] 'kill-word))

Thanks; removed.

BTW, there is no need for vhdl-template-map-init, vhdl-model-map-init,
vhdl-mode-map-init, ... to exist. The variable can simply be initialized
in the defvar in the normal way.